import vue from '@vitejs/plugin-vue';
import { defineConfig } from 'vite';
import dts from 'vite-plugin-dts';
// https://vitejs.dev/config/
export default defineConfig({
    plugins: [vue()],
    build: {
        target: 'esnext',
        lib: {
            entry: ['src/components/index.ts', 'src/components/ArrayWidget/index.ts'],
            formats: ['es'],
        },
        rollupOptions: {
            external: ['vue', '@codeperate/utils'],
            output: {
                preserveModules: true,
                esModule: true,
                globals: {
                    vue: 'Vue',
                },

                //inlineDynamicImports: false,
            },
        },
        minify: true,
        emptyOutDir: true,
        outDir: 'dist',
    },
});
